List Top YouTube Shorts for a Track

Return the top YouTube Shorts videos associated with a track. View/like/comment counts may exceed int32.

Path Parameters
  • id
    Type: integer
    min:  
    0
    max:  
    2147483647
    required

    Chartmetric track ID.

Query Parameters
  • type
    Type: string enum

    Sort metric for the returned Shorts. Defaults to likes; allowed values come from YouTube engagement stats.

    values
    • likes
    • views
    • comments
    • trending
    • created_at
  • limit
    Type: integer
    min:  
    1
    max:  
    100

    Maximum number of Shorts to return. Max 100.

  • bySoundId
    Type: boolean

    If true, treat id as a YouTube sound ID rather than a Chartmetric track ID. Defaults to false.

Responses
  • application/json
Request Example for get/api/track/youtube/{id}/topShorts
curl https://api.chartmetric.com/api/track/youtube/0/topShorts \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "total": 6400000,
    "available_count": 10,
    "data": [
      {
        "video_id": "5VhmJaKV10c",
        "created_at": "2025-03-04T11:22:15.890Z",
        "modified_at": "2025-07-15T09:19:53.132Z",
        "username": "@roses_are_rosie",
        "video_title": "excited to see what shorts ideas y’all come up with for apt.💗 brought to you by youtube shorts",
        "cm_id": 138071658,
        "sound_id": "DiTd771WumE",
        "token_parameter": "8gVNCkASMQoLRGlUZDc3MVd1bUUSC0RpVGQ3NzFXdW1FGgtvYzN1WXRQYXd3dw==",
        "thumbnail_url": "https://i.ytimg.com/vi/5VhmJaKV10c/maxresdefault.jpg",
        "link": "https://www.youtube.com/shorts/5VhmJaKV10c",
        "shorts_track_page": "https://www.youtube.com/source/DiTd771WumE/shorts?app=desktop",
        "views": 247428457,
        "likes": 7235195,
        "comments": 70705,
        "stats": {
          "views": 247428457,
          "likes": 7235195,
          "comments": 70705
        },
        "influencercountries": [],
        "youtubevideohistoricalstats": [],
        "metadata_for_url": {
          "video_id": "5VhmJaKV10c",
          "username": "@roses_are_rosie",
          "views": 247428457,
          "likes": 7235195,
          "comments": 70705,
          "created_at": "2025-07-15"
        }
      }
    ]
  }
}